### Method

# GUPnP DeviceInfo get_resource_factory

#### Declaration [src]

    GUPnPResourceFactory*
    gupnp_device_info_get_resource_factory (
      GUPnPDeviceInfo* device_info
    )

#### Description [src]

Get the `GUPnPResourceFactory` used by the `device_info`.

Gets property | `GUPnP.DeviceInfo:resource-factory`

#### Return value

Returns: | `GUPnPResourceFactory`
| A `GUPnPResourceFactory`.
| The data is owned by the instance.